<template>
  <div class="header">
    <div v-if="num == 1" class="pageHeader-first">
      <div class="header-bj"></div>
      <div class="content">
        <div class="pageStr">{{ pageStr }}</div>
        <div class="title">
          <img src="../image/chapter.png" alt="" />
          <span class="cahpter">{{ chapter }}</span>
        </div>
      </div>
    </div>
    <div v-if="num == 2" class="pageHeader-second">
      <div class="second-con">
        <div class="second-left"></div>
        <div class="second-right">
          <img src="../image/pageImg.png" alt="" />
          <span class="pageStr">{{ chapter }}</span>
          <span class="pageNum">{{ pageStr }}</span>
        </div>
      </div>
      <div class="borderLine"></div>
    </div>
  </div>
</template>
<script>
export default {
  name: "pageheader",
  props: {
    num: {
      type: Number,
      default: 1,
    },
    chapter: {
      type: String,
      default: "",
    },
    pageStr: {
      type: String,
      default: "",
    },
  },
  data() {
    return {};
  },
};
</script>
<style scoped lang="less">

</style>
